%define languageenglazy Lowlands Saxon
%define languagecode    nds
%define lc_ctype        nds_DE

Name:           hunspell-%{languagecode}
Version:        0.1
Release:        %mkrel 7
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            http://aspell-nds.sourceforge.net/
Source0:        http://downloads.sourceforge.net/aspell-nds/hunspell-nds-0.1.zip

BuildArch:      noarch

Suggests:       hunspell

Requires:       locales-nds
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-nds_NL = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-nds_NL = 2

#MySpell is deprecated
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n %{name}

%build

%install
install -D -m 0644 -p nds.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p nds.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

nds_DE_aliases="nds_NL"
pushd %{buildroot}%{_datadir}/hunspell
    for lang in $nds_DE_aliases
    do
        ln -s %{lc_ctype}.aff $lang.aff
        ln -s %{lc_ctype}.dic $lang.dic
    done
popd #%%{buildroot}%%{_datadir}/hunspell

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff

    for lang in $nds_DE_aliases
    do
        ln -s ../hunspell/$lang.dic $lang.dic
        ln -s ../hunspell/$lang.aff $lang.aff
    done
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_nds.txt Copyright COPYING
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog

* Tue Mar 20 2012 kamil <kamil> 0.1-7.mga2
+ Revision: 224767
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 0.1-6.mga2
+ Revision: 209016
- stop obsoleting not existing myspell-nds

* Tue Feb 07 2012 kamil <kamil> 0.1-5.mga2
+ Revision: 205958
- adapt .spec for Mageia

* Sat Mar 12 2011 dmorgan <dmorgan> 0.1-4.mga1
+ Revision: 68974
- imported package hunspell-nds

